import * as React from "react"
import Svg, { Rect, Path, Defs, LinearGradient, Stop } from "react-native-svg"

function SvgComponent(props) {
  return (
    <Svg
      width={88}
      height={210}
      viewBox="0 0 88 264"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <Rect x={52} width={18} height={264} rx={9} fill="url(#paint0_linear)" />
      <Path stroke="#fff" d="M35 211.5L88 211.5" />
      <Path stroke="#fff" d="M35 121.5L88 121.5" />
      <Path stroke="#fff" d="M35 45.5L88 45.5" />
      <Path
        d="M9.568 51v-7.943l-3.627 6.214h-.442l-3.627-6.214V51h-.663v-9.23h.663l3.848 6.604 3.848-6.604h.663V51h-.663zm9.229-.598V51h-6.15v-9.23h6.033v.598h-5.37v3.627h4.693v.572H13.31v3.835h5.487zm1.81.598v-9.23h.663v8.632h5.512V51h-6.175zm13.703-.598V51h-6.149v-9.23h6.032v.598h-5.369v3.627h4.693v.572h-4.693v3.835h5.486zm5.313.663a3.76 3.76 0 01-1.73-.403 4.6 4.6 0 01-1.377-1.066 5.152 5.152 0 01-.91-1.508 4.92 4.92 0 01-.312-1.716c0-.607.104-1.187.312-1.742a4.707 4.707 0 01.884-1.495 4.159 4.159 0 011.352-1.04c.52-.26 1.087-.39 1.703-.39.918 0 1.66.19 2.223.572.563.373.996.854 1.3 1.443l-.546.325c-.312-.607-.728-1.044-1.248-1.313-.512-.277-1.092-.416-1.742-.416-.546 0-1.04.117-1.482.351a3.425 3.425 0 00-1.131.923c-.312.381-.55.815-.715 1.3a4.621 4.621 0 00-.247 1.495 4.259 4.259 0 001.079 2.847c.338.381.732.68 1.183.897.45.217.931.325 1.443.325.563 0 1.096-.13 1.599-.39.502-.26.992-.672 1.469-1.235v-1.781h-2.093v-.533h2.665V51h-.572v-1.443c-.893 1.005-1.929 1.508-3.107 1.508zM1.416 121.038c.208.139.464.256.767.351a3.43 3.43 0 001.027.143c.659 0 1.144-.152 1.456-.455.32-.303.533-.745.637-1.326.104-.589.156-1.313.156-2.171v-4.81h.663v4.693c0 .693-.035 1.33-.104 1.911-.06.572-.186 1.066-.377 1.482a2.1 2.1 0 01-.871.949c-.381.225-.893.338-1.534.338-.416 0-.793-.048-1.131-.143a2.943 2.943 0 01-.897-.429l.208-.533zm10.68 1.027c-.641 0-1.226-.13-1.755-.39a4.447 4.447 0 01-1.365-1.066 4.955 4.955 0 01-1.196-3.224c0-.615.108-1.2.325-1.755.217-.563.52-1.062.91-1.495a4.447 4.447 0 011.378-1.04c.529-.26 1.1-.39 1.716-.39.641 0 1.226.134 1.755.403.529.269.984.628 1.365 1.079.381.451.676.953.884 1.508a4.78 4.78 0 01.312 1.69 4.75 4.75 0 01-.338 1.781 4.976 4.976 0 01-.91 1.495c-.39.433-.85.776-1.378 1.027a3.866 3.866 0 01-1.703.377zm-3.653-4.68c0 .529.087 1.036.26 1.521.182.485.438.923.767 1.313.33.381.715.685 1.157.91.45.217.945.325 1.482.325.555 0 1.053-.117 1.495-.351.45-.234.836-.546 1.157-.936.32-.39.563-.823.728-1.3a4.374 4.374 0 00-.013-3.003 4.058 4.058 0 00-.754-1.3 3.742 3.742 0 00-1.17-.91 3.135 3.135 0 00-1.443-.338c-.555 0-1.057.117-1.508.351-.45.234-.836.546-1.157.936-.32.39-.568.828-.741 1.313-.173.477-.26.966-.26 1.469zm3.9-5.993l-.455-.208.793-1.105h.754l-1.092 1.313zM9.359 207.77V217h-.663v-4.42H2.872V217h-.663v-9.23h.663v4.212h5.824v-4.212h.663zm2.41 9.23v-9.23h.663V217h-.663zm3.085 0v-9.23h3.068c.97 0 1.78.208 2.43.624.65.407 1.136.962 1.456 1.664.33.693.494 1.465.494 2.314 0 .936-.181 1.751-.546 2.444a3.847 3.847 0 01-1.52 1.612c-.65.381-1.422.572-2.314.572h-3.069zm6.786-4.628c0-.771-.148-1.456-.442-2.054a3.314 3.314 0 00-1.262-1.43c-.554-.347-1.226-.52-2.014-.52h-2.405v8.034h2.405c.805 0 1.486-.178 2.04-.533.555-.355.971-.836 1.248-1.443.287-.607.43-1.291.43-2.054zm8.63 4.03V217h-6.149v-9.23h6.032v.598h-5.369v3.627h4.693v.572h-4.693v3.835h5.486zm5.313.663c-.624 0-1.2-.134-1.73-.403a4.606 4.606 0 01-1.377-1.066 5.154 5.154 0 01-.91-1.508 4.917 4.917 0 01-.312-1.716c0-.607.104-1.187.312-1.742a4.71 4.71 0 01.884-1.495 4.155 4.155 0 011.352-1.04c.52-.26 1.087-.39 1.703-.39.918 0 1.66.191 2.223.572.563.373.996.854 1.3 1.443l-.546.325c-.312-.607-.728-1.044-1.248-1.313-.512-.277-1.092-.416-1.742-.416-.546 0-1.04.117-1.482.351a3.422 3.422 0 00-1.131.923c-.312.381-.55.815-.715 1.3a4.624 4.624 0 00-.247 1.495 4.262 4.262 0 001.079 2.847c.338.381.732.68 1.183.897.45.217.931.325 1.443.325.563 0 1.096-.13 1.599-.39.502-.26.992-.672 1.469-1.235v-1.781h-2.093v-.533h2.665V217h-.572v-1.443c-.893 1.005-1.929 1.508-3.107 1.508z"
        fill="#000"
      />
      <Defs>
        <LinearGradient
          id="paint0_linear"
          x1={61}
          y1={0}
          x2={61}
          y2={264}
          gradientUnits="userSpaceOnUse"
        >
          <Stop stopColor="#FF5F6D" />
          <Stop offset={0.463542} stopColor="#FFA670" />
          <Stop offset={1} stopColor="#30E8BF" />
        </LinearGradient>
      </Defs>
    </Svg>
  )
}

export default SvgComponent
